<?php

namespace Hura8\Components\Marketing\Model;

use Hura8\Interfaces\AppResponse;
use Hura8\System\Model\aEntityBaseModel;

class PosterModel extends aEntityBaseModel
{

    public function __construct() {
        parent::__construct('poster');
    }


    protected function extendedFilterOptions() : array
    {
        return [
            // empty for now
        ];
    }


    protected function _buildQueryConditionExtend(array $filter_condition) : ?array
    {
        $catCondition = [];
        $bind_types = [];
        $bind_values = [];

        return array( join(" ", $catCondition), $bind_types, $bind_values);
    }

}
